# 入侵检测工具

## 概 述

### 产品简介
&emsp;&emsp;入侵检测工具是一款轻量级的主机入侵检测系统，提供简洁高效的威胁检测与安全保障。单机独立部署，对系统资源占用低。

### 产品亮点
- &nbsp;&nbsp;能够实时分析系统关键日志，每天定期扫描进程及端口，识别到安全风险后提醒用户，支持恶意IP的自动阻断。
- &nbsp;&nbsp;检测能力包括但不限于：端口扫描、暴力破解、异常登录、提权尝试、rootkit（隐藏的进程或端口），以及SQL注入、XSS等常见web攻击。
- &nbsp;&nbsp;支持接入clam-av、symantec-av、sophos等杀毒软件，以及snort、suricata等流量分析软件的告警内容。

## 使用入门

### 软件位置
&emsp;&emsp;点击操作系统“开始菜单”，选择并点击“入侵检测工具”，打开入侵检测工具的软件界面，如图1所示。

![图 1 开始菜单（打开入侵检测工具）-big](image/1.png)

&emsp;&emsp;点击操作系统“开始菜单”，再点击“设置”，再点击“安全”，显示安全中心首页。点击“防火墙与网络保护”按钮后，可以通过“入侵检测工具”选项打开软件界面，如图2所示。

![图 2 设置（打开入侵检测工具）-big](image/2.png)

### 获取帮助
&emsp;&emsp;入侵检测工具的应用界面右上角菜单图标，点击“帮助”按钮，弹出“用户手册”弹窗，显示帮助手册相关信息，如图3所示。

![图 3 用户手册-big](image/3.png)

### 模式支持
&emsp;&emsp;入侵检测工具软件界面显示模式随系统主题变化，开始菜单->设置->个性化->主题进行模式的切换，如图4至5所示。

![图 4 浅色模式-big](image/4.png)

![图 5 深色模式-big](image/5.png)

### 语言支持
&emsp;&emsp;入侵检测工具软件界面默认跟随系统语言设置，支持简体中文、繁体中文、英文、藏文和蒙古文，如图6至10所示。

![图 6 简体中文显示-big](image/6.png)

![图 7 繁体中文显示-big](image/7.png)

![图 8 英文显示-big](image/8.png)

![图 9 藏文显示-big](image/9.png)

![图 10 蒙古文显示-big](image/10.png)

## 告警日志
&emsp;&emsp;后台服务检测到威胁系统安全的风险事件时，会发出桌面告警通知并记录保存。打开桌面应用，即可查看已保存的告警日志，如图11所示。

![图 11 告警日志（存在告警事件）-big](image/11.png)

**注**：“等级”越高，风险越大。这里将等级12-14区间定义为一般风险，使用蓝色标记；等级15-16区间定义为高风险，使用红色标记。

&emsp;&emsp;通过桌面告警通知上的“查看详情”按钮，可以自动跳转到桌面应用的“告警日志”页面且高亮对应内容，并自动展开更多信息（手动点击右侧箭头形状的按钮可展开或收起）。
桌面告警通知如图12所示，高亮告警日志如图13所示。

![图 12 桌面告警通知-big](image/12.png)

![图 13 告警日志高亮-big](image/13.png)

&emsp;&emsp;“重新载入”针对应用打开期间后台出现新告警数据的场景，点击后会加载包括更新数据在内的所有数据。

&emsp;&emsp;日期过滤，用于筛选指定时间范围内的数据。

## 告警统计
&emsp;&emsp;展示检测的概要信息，对告警日志做归类统计。

&emsp;&emsp;存在告警事件时，展示页面较长，使用滑动条从上到下依次有: 告警统计概要(如图14所示)、告警统计详情(如图15至17所示)。
- &nbsp;&nbsp;告警统计概要;
- &nbsp;&nbsp;告警统计详情：告警等级统计、告警等级日期分布、告警等级数量分布、事件统计、攻击来源统计、（被攻击）用户统计。此部分提供日期过滤功能，用于筛选指定时间范围内的数据;
- &nbsp;&nbsp;导出统计报告及刷新：“导出统计报告”可生成当前界面已展示的统计信息报告；“刷新”可更新检测概要、告警统计详情的数据;

![图 14 告警统计概要-big](image/14.png)

![图 15 告警等级统计详情-告警等级日期分布-big](image/15.png)

![图 16 告警等级统计详情-告警等级数量分布-big](image/16.png)

![图 17 告警等级统计详情-事件/攻击来源/用户统计-big](image/17.png)

## 设置
&emsp;&emsp;点击“设置”按钮后，弹出设置界面，包括“基础设置”、“防御措施”和“AI网络威胁检测”等页表项。每个页表项中的配置修改后，都要通过点击其页面内的“确认”按钮进行实际的配置更新。

&emsp;&emsp;“基础设置”中，“入侵检测服务”是核心模块，负责监测分析系统是否正面临入侵风险。如果关闭此服务，则“防御措施”、“AI网络威胁检测”中的两个服务都无法发挥作用，原因在于防御服务需要入侵检测服务为其提供防御动作指令，而AI网络威胁检测服务的输出会汇总到入侵检测服务，由入侵检测服务统一执行告警、防御等操作。因此，“入侵检测服务”关闭时，会同步关闭“防御服务”和“AI网络威胁检测服务”。

&emsp;&emsp;关闭桌面通知后，不再产生桌面右上角的告警通知，能够避免对用户的干扰，但不影响服务的后台运行，仍然会在发现系统风险时记录新的告警事件。
![图 18 设置-基础设置-big](image/18.png)

&emsp;&emsp;防御服务默认关闭，避免因误判导致远程访问被禁。如果想要开启并担心某些固定IP被误封，可以在IP阻断白名单中加入这些IP地址，以英文逗号做分隔。
![图 19 设置-防御措施-big](image/19.png)

&emsp;&emsp;“AI网络威胁检测”页面可能是置灰状态（既没有“开启”，也没有“关闭”，且“取消”和“确认”按钮不可点击），原因在于需要的AI检测软件包尚未安装。
![图 20 设置-AI网络威胁检测(AI检测软件包未安装)-big](image/20.png)

&emsp;&emsp;如果系统中已存在软件包“kguard-net-ai”，则“AI网络威胁检测”页面可操作。
![图 21 设置-AI网络威胁检测(AI检测软件包安装)-big](image/21.png)

## 附录：常见问题及处理方法(FAQ)

#### 一、 告警日志
- &nbsp;&nbsp;为什么“告警日志”下面没有任何内容？

&emsp;&emsp;答：即“暂无告警日志”，代表入侵检测服务尚未发现威胁到系统安全的行为事件。

#### 二、告警统计
- &nbsp;&nbsp;入侵检测总计防护”时长是怎么计算的？

&emsp;&emsp;答：以软件包kguard安装到系统中的时间为起点，到当前系统时间的累计时长。
- &nbsp;&nbsp;日志事件总数”指的是什么？

&emsp;&emsp;答：“入侵检测服务”启动以来，对于监测范围内的所有日志文件，已读取的日志总行数。

- &nbsp;&nbsp;为什么每隔几秒点击“刷新”，都会看到“日志事件总数”有所增加？

&emsp;&emsp;答：因为在系统运行期间，各个应用都可能频繁往系统日志写入内容，而“入侵检测服务”就在同步读取分析这些日志内容，已读取的日志总行数会不断增加。
- &nbsp;&nbsp;为什么告警级别只有12-16，没有其他级别吗？

&emsp;&emsp;答：规则集中包含小于级别12的大量规则，但它们是匹配链上靠前的基础规则，不代表系统风险，因此以12为界，小于此级别的命中规则都不会形成告警事件。而级别16是定义的最高级别，不存在高于16的级别。

#### 三、设置
- &nbsp;&nbsp;桌面通知折叠”是什么效果？

&emsp;&emsp;答：短时间内出现多个通知时，仅展示最新的告警通知，并提示其后面还有多少个通知。

- &nbsp;&nbsp;IP阻断白名单”有时候输入不了内容。

&emsp;&emsp;答：此输入框存在数据校验，IP之间只能用英文逗号分隔，且IP数字段需要在0-255之间，其他字符输入无效。

- &nbsp;&nbsp;防御服务的工作原理是什么？和防火墙有何区别？

&emsp;&emsp;答：接收“入侵检测服务”的防御动作指令，然后以root身份执行预定义的命令或脚本。对于“IP阻断”，借助nft防火墙命令行工具，阻断指定IP，超过配置时长后自动撤销阻断。
